import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.util.Scanner;
import java.io.PrintWriter;

public class task2 {

	public static void main(String[] args) throws FileNotFoundException {
		
		int NumUp=0 , NumLow=0 , NumDig=0 , NumWhite=0 , NumOther=0 , Total=0;
		char ch;
		
		FileInputStream input = new FileInputStream("input2.txt");
		FileOutputStream output = new FileOutputStream("output2.txt");
		
		Scanner sc = new Scanner(input);
		PrintWriter pw = new PrintWriter(output);
		sc.useDelimiter("");
		
		
		do {
		
			ch = sc.next().charAt(0);
			
			if(Character.isUpperCase(ch))
				NumUp++;
			else if(Character.isLowerCase(ch))
				NumLow++;
			else if(Character.isDigit(ch))
				NumDig++;
			else if(Character.isWhitespace(ch))
				NumWhite++;
			else
				NumOther++;
		Total++;
			
		}while(sc.hasNext());
		
		
		
		pw.printf("Number of uppercase characters = %d%n",NumUp);
		pw.printf("Number of lowercase characters = %d%n",NumLow);
		pw.printf("Number of digit characters = %d%n",NumDig);
		pw.printf("Number of whitespace characters = %d%n",NumWhite);
		pw.printf("Number of other characters = %d%n",NumOther);
		pw.printf("Total number of characters = %d%n",Total);
		
		pw.close();
		sc.close();
		
	}

}
